# -*- coding: utf-8 -*-
# Generated by Django 1.9.4 on 2016-03-17 10:41
from __future__ import unicode_literals

from django.db import migrations, models
import django.utils.timezone


class Migration(migrations.Migration):

    dependencies = [
        ('zinnia', '0005_auto_20160303_0123'),
    ]

    operations = [
        migrations.AlterModelOptions(
            name='entry',
            options={'get_latest_by': 'publication_date', 'ordering': ['-publication_date'], 'permissions': (('can_view_all', 'Can view all entries'), ('can_change_status', 'Can change status'), ('can_change_author', 'Can change author(s)')), 'verbose_name': 'entry', 'verbose_name_plural': 'entries'},
        ),
        migrations.AddField(
            model_name='entry',
            name='publication_date',
            field=models.DateTimeField(db_index=True, default=django.utils.timezone.now, help_text="Used to build the entry's URL.", verbose_name='publication date'),
        ),
        migrations.AlterField(
            model_name='entry',
            name=b'creation_date',
            field=models.DateTimeField(default=django.utils.timezone.now, verbose_name='creation date'),
        ),
        migrations.AlterField(
            model_name='entry',
            name=b'slug',
            field=models.SlugField(help_text="Used to build the entry's URL.", max_length=255, unique_for_date=b'publication_date', verbose_name='slug'),
        ),
        migrations.AlterIndexTogether(
            name='entry',
            index_together=set([('slug', 'publication_date'), ('status', 'publication_date', 'start_publication', 'end_publication')]),
        ),
    ]
